Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(43)

Issue 2775913002: Instrumented libraries: Remove dependence on GYP_DEFINES (Closed)

Created:
2 years, 4 months ago by Tom (Use chromium acct)
Modified:
2 years, 4 months ago
CC:
chromium-reviews
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Instrumented libraries: Remove dependence on GYP_DEFINES This CL ports download_binaries.py and unpack_binaries.py from using GYP_DEFINES to gn args. Previously, there was a gotcha step where you had to run 'gclient sync' with the right GYP_DEFINES to actually download the prebuilt instrumented libraries. This CL removes that step. CQ_INCLUDE_TRYBOTS=master.tryserver.chromium.linux:linux_chromium_msan_rel_ng;master.tryserver.chromium.linux:linux_chromium_chromeos_msan_rel_ng R=eugenis@chromium.org BUG=705072 Review-Url: https://codereview.chromium.org/2775913002 Cr-Commit-Position: refs/heads/master@{#459630} Committed: https://chromium.googlesource.com/chromium/src/+/5adb8c047852670be6c9d42114f3a17d44b6c56e

Patch Set 1 #

Patch Set 2 : fix python syntax #

Total comments: 2
Unified diffs Side-by-side diffs Delta from patch set Stats (+30 lines, -74 lines) Patch
M DEPS View 1 chunk +0 lines, -7 lines 0 comments Download
M third_party/instrumented_libraries/BUILD.gn View 1 chunk +14 lines, -5 lines 1 comment Download
M third_party/instrumented_libraries/scripts/download_binaries.py View 1 1 chunk +11 lines, -46 lines 1 comment Download
M third_party/instrumented_libraries/scripts/unpack_binaries.py View 1 chunk +5 lines, -16 lines 0 comments Download

Messages

Total messages: 29 (22 generated)
Tom (Use chromium acct)
eugenis ptal The next steps are to 1. remove the DEPS entries in libyuv, pdfium, ...
2 years, 4 months ago (2017-03-24 20:42:31 UTC) #14
eugenis
On 2017/03/24 20:42:31, Tom Anderson wrote: > eugenis ptal > > The next steps are ...
2 years, 4 months ago (2017-03-24 20:53:07 UTC) #15
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2775913002/60001
2 years, 4 months ago (2017-03-25 02:39:41 UTC) #22
commit-bot: I haz the power
Committed patchset #2 (id:60001) as https://chromium.googlesource.com/chromium/src/+/5adb8c047852670be6c9d42114f3a17d44b6c56e
2 years, 4 months ago (2017-03-25 02:47:50 UTC) #25
Michael Achenbach
+dpranke https://codereview.chromium.org/2775913002/diff/60001/third_party/instrumented_libraries/BUILD.gn File third_party/instrumented_libraries/BUILD.gn (right): https://codereview.chromium.org/2775913002/diff/60001/third_party/instrumented_libraries/BUILD.gn#newcode63 third_party/instrumented_libraries/BUILD.gn:63: tarfile = "$target_out_dir/$tarfile_name" Please note that now different ...
2 years, 4 months ago (2017-03-28 07:55:05 UTC) #27
Dirk Pranke
No LGTM. We need to revert this and not take this approach. We must not ...
2 years, 4 months ago (2017-03-31 00:26:25 UTC) #28
Tom Anderson
2 years, 4 months ago (2017-04-04 21:00:37 UTC) #29
Message was sent while issue was closed.
A revert of this CL (patchset #2 id:60001) has been created in
https://codereview.chromium.org/2792343003/ by thomasanderson@chromium.org.

The reason for reverting is: Reverting now that all of the third_party changes
have been reverted.

Powered by Google App Engine
This is Rietveld 408576698